"JavaScript Debugger" add-on does not work with Firefox >= 33 (and therefore e10s)

RESOLVED WONTFIX

Status

Other Applications
Venkman JS Debugger
RESOLVED WONTFIX
4 years ago
4 years ago

People

(Reporter: andreip, Unassigned)

Tracking

({addon-compat})

Firefox Tracking Flags

(Not tracked)

Details

(URL)

(Reporter)

Description

4 years ago
Apparently I cannot install it on FF>33. Not sure if this is a important bug, but it needs to be tracked. I tested it on nightly

Updated

4 years ago
Blocks: 905436
Keywords: addon-compat
hi Gijs and Robert, your JavaScript Debugger add-on seems to be broken with multiprocess Firefox (e10s). If you have any questions about e10s support, just drop by the #e10s IRC channel on irc.mozilla.org or ask Ally on this bug. MDN also has a good introduction:

https://developer.mozilla.org/en-US/Add-ons/Working_with_multiprocess_Firefox
tracking-e10s: --- → +

Comment 2

4 years ago
Venkman uses the jsd1 APIs which were removed in Firefox 33. We don't plan on fixing it. Use the builtin browser toolbox instead. :-)
Status: UNCONFIRMED → RESOLVED
Last Resolved: 4 years ago
Component: Extension Compatibility → Venkman JS Debugger
Product: Firefox → Other Applications
Resolution: --- → WONTFIX

Comment 3

4 years ago
FWIW, this is unrelated to e10s, so I'm removing tracking - leaving it as blocking the tracking bug for now so we don't get dupes - Chris, please remove if that makes more sense.
tracking-e10s: + → ---
Flags: needinfo?(cpeterson)

Updated

4 years ago
Summary: "JavaScript Debugger" add-on does not work with e10s → "JavaScript Debugger" add-on does not work with Firefox >= 33 (and therefore e10s)
Sounds good. Thanks.
No longer blocks: 905436
Flags: needinfo?(cpeterson)
You need to log in before you can comment on or make changes to this bug.